Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.compiler
Class FunctionTable

    java.lang.Object
      |
      +--org.apache.xpath.compiler.FunctionTable

public class FunctionTable
extends java.lang.Object

The function table for XPath.

Field Summary
`static int` | `FUNC_BOOLEAN`
`static int` | `FUNC_CEILING`
`static int` | `FUNC_CONCAT`
`static int` | `FUNC_CONTAINS`
`static int` | `FUNC_COUNT`
`static int` | `FUNC_CURRENT`
`static int` | `FUNC_DOCLOCATION`
`static int` | `FUNC_EXT_ELEM_AVAILABLE`
`static int` | `FUNC_EXT_FUNCTION_AVAILABLE`
`static int` | `FUNC_FALSE`
`static int` | `FUNC_FLOOR`
`static int` | `FUNC_GENERATE_ID`
`static int` | `FUNC_ID`
`static int` | `FUNC_KEY`
`static int` | `FUNC_LANG`
`static int` | `FUNC_LAST`
`static int` | `FUNC_LOCAL_PART`
`static int` | `FUNC_NAMESPACE`
`static int` | `FUNC_NORMALIZE_SPACE`
`static int` | `FUNC_NOT`
`static int` | `FUNC_NUMBER`
`static int` | `FUNC_POSITION`
`static int` | `FUNC_QNAME`
`static int` | `FUNC_ROUND`
`static int` | `FUNC_STARTS_WITH`
`static int` | `FUNC_STRING`
`static int` | `FUNC_STRING_LENGTH`
`static int` | `FUNC_SUBSTRING`
`static int` | `FUNC_SUBSTRING_AFTER`
`static int` | `FUNC_SUBSTRING_BEFORE`
`static int` | `FUNC_SUM`
`static int` | `FUNC_SYSTEM_PROPERTY`
`static int` | `FUNC_TRANSLATE`
`static int` | `FUNC_TRUE`
`static int` | `FUNC_UNPARSED_ENTITY_URI`
`static FuncLoader[]` | `m_functions` The function table.

Constructor Summary
`FunctionTable()`

Method Summary
`static Function` | `getFunction(int which)`
`static void` | `installFunction(Expression func, int funcIndex)` Install a built-in function at a specific index.
`static int` | `installFunction(java.lang.String name, Expression func)` Install a built-in function.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FUNC_CURRENT

    public static final int FUNC_CURRENT

### FUNC_LAST

    public static final int FUNC_LAST

### FUNC_POSITION

    public static final int FUNC_POSITION

### FUNC_COUNT

    public static final int FUNC_COUNT

### FUNC_ID

    public static final int FUNC_ID

### FUNC_KEY

    public static final int FUNC_KEY

### FUNC_LOCAL_PART

    public static final int FUNC_LOCAL_PART

### FUNC_NAMESPACE

    public static final int FUNC_NAMESPACE

### FUNC_QNAME

    public static final int FUNC_QNAME

### FUNC_GENERATE_ID

    public static final int FUNC_GENERATE_ID

### FUNC_NOT

    public static final int FUNC_NOT

### FUNC_TRUE

    public static final int FUNC_TRUE

### FUNC_FALSE

    public static final int FUNC_FALSE

### FUNC_BOOLEAN

    public static final int FUNC_BOOLEAN

### FUNC_NUMBER

    public static final int FUNC_NUMBER

### FUNC_FLOOR

    public static final int FUNC_FLOOR

### FUNC_CEILING

    public static final int FUNC_CEILING

### FUNC_ROUND

    public static final int FUNC_ROUND

### FUNC_SUM

    public static final int FUNC_SUM

### FUNC_STRING

    public static final int FUNC_STRING

### FUNC_STARTS_WITH

    public static final int FUNC_STARTS_WITH

### FUNC_CONTAINS

    public static final int FUNC_CONTAINS

### FUNC_SUBSTRING_BEFORE

    public static final int FUNC_SUBSTRING_BEFORE

### FUNC_SUBSTRING_AFTER

    public static final int FUNC_SUBSTRING_AFTER

### FUNC_NORMALIZE_SPACE

    public static final int FUNC_NORMALIZE_SPACE

### FUNC_TRANSLATE

    public static final int FUNC_TRANSLATE

### FUNC_CONCAT

    public static final int FUNC_CONCAT

### FUNC_SUBSTRING

    public static final int FUNC_SUBSTRING

### FUNC_STRING_LENGTH

    public static final int FUNC_STRING_LENGTH

### FUNC_SYSTEM_PROPERTY

    public static final int FUNC_SYSTEM_PROPERTY

### FUNC_LANG

    public static final int FUNC_LANG

### FUNC_EXT_FUNCTION_AVAILABLE

    public static final int FUNC_EXT_FUNCTION_AVAILABLE

### FUNC_EXT_ELEM_AVAILABLE

    public static final int FUNC_EXT_ELEM_AVAILABLE

### FUNC_DOCLOCATION

    public static final int FUNC_DOCLOCATION

### FUNC_UNPARSED_ENTITY_URI

    public static final int FUNC_UNPARSED_ENTITY_URI

### m_functions

    public static FuncLoader[] m_functions

  The function table.

Constructor Detail

### FunctionTable

    public FunctionTable()

Method Detail

### getFunction

    public static Function getFunction(int which)
                                throws SAXException

### installFunction

    public static int installFunction(java.lang.String name,
                                      Expression func)

  Install a built-in function.
  Parameters:
    `name` - The unqualified name of the function.
    `func` - A Implementation of an XPath Function object.
  Returns:
    the position of the function in the internal index.

### installFunction

    public static void installFunction(Expression func,
                                       int funcIndex)

  Install a built-in function at a specific index.
  Parameters:
    `name` - The unqualified name of the function.
    `func` - A Implementation of an XPath Function object.
  Returns:
    the position of the function in the internal index.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.